B3SUM(1)

NAME
b3sum - b3sum

SYNOPSIS
b3sum [OPTIONS] [FILE]...

DESCRIPTION

  Arguments:

    [FILE]...

    Files to hash, or checkfiles to check

    When no file is given, or when - is given, read standard input.

OPTIONS

--keyed

    Use the keyed mode, reading the 32-byte key from stdin

--derive-key <CONTEXT>

    Use the key derivation mode, with the given context string

    Cannot be used with --keyed.

-l, --length <LEN>

    The number of output bytes, before hex encoding

    [default: 32]

--seek <SEEK>

    The starting output byte offset, before hex encoding

    [default: 0]

--num-threads <NUM>

    The maximum number of threads to use

    By default, this is the number of logical cores. If this flag is omitted, or if its value is 0, RAYON_NUM_THREADS is also respected.

--no-mmap

    Disable memory mapping

    Currently this also disables multithreading.

--no-names

    Omit filenames in the output

--raw

    Write raw output bytes to stdout, rather than hex

--no-names is implied. In this case, only a single input is allowed.

--tag

    Output BSD-style checksums: BLAKE3 ([FILE]) = [HASH]

-c, --check

    Read BLAKE3 sums from the [FILE]s and check them

--quiet

    Skip printing OK for each checked file

    Must be used with --check.

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version